<template>
  <MCryptoCurrencyWithdrawal
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetPaymentGatewayBanksResponse } from "@/models/getPaymentGatewayBanksRespone";
import { ProfileDto } from "@/models/getProfileResponse";
import MCryptoCurrencyWithdrawal from "~~/components/theme/telegram/payment/withdrawal/crypto-currency-withdrawal.client.vue";

const props = defineProps({
  paymentBanks: {
    type: Object as PropType<IGetPaymentGatewayBanksResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
  theme: {
    type: String,
    default: "",
  },
});
</script>
